﻿Imports System.Data
Imports System.Data.OleDb

Public Class WebForm1
    Inherits System.Web.UI.Page

    Private dadapter As OleDbDataAdapter
    Private dset As DataSet
    Private adsource As PagedDataSource
    Private connstring As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + System.Web.HttpContext.Current.Server.MapPath("~/App_Data/NWIND.mdb") + ";Persist Security Info=False"
    Private pos As Integer
    Private pageCount As Integer = 0

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Me.ViewState("vs") = 0
        End If
        pos = CInt(Me.ViewState("vs"))
        DataBind()
        C1Pager1.PageCount = pageCount
        C1Pager1.Mode = C1.Web.Wijmo.Controls.C1Pager.PagerMode.Numeric
    End Sub

    Public Overrides Sub DataBind()
        dadapter = New OleDbDataAdapter("SELECT TOP 20 CompanyName, City, Country FROM Customers", connstring)
        dset = New DataSet()
        adsource = New PagedDataSource()
        dadapter.Fill(dset)
        adsource.DataSource = dset.Tables(0).DefaultView
        adsource.PageSize = 5
        adsource.AllowPaging = True
        adsource.CurrentPageIndex = pos
        DataList1.DataSource = adsource
        DataList1.DataBind()
        pageCount = Convert.ToInt32(dset.Tables(0).Rows.Count / adsource.PageSize)
    End Sub


    Protected Sub C1Pager1_PageIndexChanged(sender As Object, e As EventArgs) Handles C1Pager1.PageIndexChanged
        Dim currPage As Integer = C1Pager1.PageIndex
        pos = CInt(Me.ViewState("vs"))
        pos += currPage
        Me.ViewState("vs") = pos
        DataBind()
        pos = 0
        Me.ViewState("vs") = 0
    End Sub
End Class